package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 服务资源DTO
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
public class ServiceResourceDTO extends ResourceDTO implements Serializable {

    /**
     * 服务编码
     */
    @NotBlank(message = "资源标识符不允许为空")
    private String serviceCode;

    /**
     * 服务名称
     */
    @NotBlank(message = "资源名称不允许为空")
    private String serviceName;

    /**
     * 服务资源状态代码 0：未激活；1：启用；2：停止；3：撤销；
     */
    private String serviceStatus;

    /**
     * 服务访问地址
     */
    @NotBlank(message = "服务访问地址不允许为空")
    private String serviceUrl;
    /**
     * 服务类型
     */
    @NotBlank(message = "服务类型不允许为空")
    private String serviceType;
    /**
     * 服务提供方式
     */
    @NotBlank(message = "服务提供方式不允许为空")
    private String serviceProvideWay;
    /**
     * 是否自用服务
     */
    private String mustSelf;
    /**
     * 服务提供应用系统code
     */
    @NotBlank(message = "服务提供应用系统不允许为空")
    private String appCode;
    /**
     * 服务资源描述
     */
    private String remark;

    public ServiceResourceDTO() {
        super();
    }

    public ServiceResourceDTO(String resourceId, String resourceType, String resourceProvider) {
        super(resourceId, resourceType, resourceProvider);
    }

}
