package com.dragoninfo.dcuc.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/13
 */
@Data
@Builder
@ApiModel(value = "数据资源树对象")
public class DataResourceTreeVo {

    @ApiModelProperty(value = "节点id")
    private String id;
    @ApiModelProperty(value = "数据资源code")
    private String code;
    @ApiModelProperty(value = "节点名称")
    private String label;
    @ApiModelProperty(value = "数据资源类型" +
            "数据安全级别：DATA_SECURITY_LEVEL " +
            "字段一级分类：LEVEL_1_COLUMN_CLASSIFY" +
            "字段二级分类：LEVEL_2_COLUMN_CLASSIFY" +
            "数据分级：DATA_CLASSIFY")
    private String dataType;
    @ApiModelProperty(value = "子节点集合")
    private List<DataResourceTreeVo> child;
    @ApiModelProperty(value = "是否是树节点 true：是树节点,child不为空。false：非树节点,child为空。")
    private Boolean treeNode;
    @ApiModelProperty(value = "父节点id")
    private String pId;

    @ApiModelProperty(value = "数据资源code与dataType拼接，以|拼接")
    private String codeDataTypeStr;

    @ApiModelProperty(value = "内部使用唯一标识id")
    private String innerId;
    /**
     * 添加无参构造器,便于调用端序列化
     */
    @Tolerate
    DataResourceTreeVo() {}
}
