//package com.dragoninfo.dcuc.app.event;
//
//import com.dragoninfo.dcuc.app.config.DcucAppKafkaConfig;
//import com.dragoninfo.dcuc.app.dto.ManufacturerEventDTO;
//import com.dragoninfo.dcuc.app.entity.ManufacturerInfo;
//import com.dragoninfo.dcuc.app.enumresources.ManufacturerMsgTypeEnum;
//import com.dragoninfo.duceap.commons.util.kafka.KafkaServer;
//import com.dragoninfo.mq.client.model.entity.MessageInfoVo;
//import com.dragoninfo.mq.client.model.entity.RequestVo;
//import com.dragonsoft.duceap.base.entity.security.BaseSecurityUser;
//import com.dragonsoft.duceap.commons.util.json.JsonUtils;
//import com.dragonsoft.duceap.core.entity.response.ResponseResult;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.ApplicationListener;
//import org.springframework.stereotype.Component;
//
//import java.util.Collections;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
///**
// * @author huangzqa
// * @date 2020/11/10
// */
//@Slf4j
//@Component
//public class ManufacturerEventListener implements ApplicationListener<ManufacturerEvent> {
//
//    @Autowired
//    private DcucAppKafkaConfig dcucAppKafkaConfig;
//
//    @Autowired
//    private KafkaServer kafkaServer;
//
//    @Override
//    public void onApplicationEvent(ManufacturerEvent event) {
//        boolean manufacturerChangeEnable = dcucAppKafkaConfig.getManufacturerChangeEnable();
//        if (manufacturerChangeEnable) {
//            ManufacturerEventDTO manufacturerEventDTO = event.getManufacturerEventDTO();
//            BaseSecurityUser baseSecurityUser = manufacturerEventDTO.getBaseSecurityUser();
//            ManufacturerInfo manufacturerInfo = manufacturerEventDTO.getManufacturerInfo();
//            String content = manufacturerEventDTO.getContent();
//            ManufacturerMsgTypeEnum manufacturerMsgTypeEnum = manufacturerEventDTO.getManufacturerMsgTypeEnum();
//
//            String topic = dcucAppKafkaConfig.getManufacturerChangeTopic();
//
//            log.info("消息发送参数：topic:{},content:{},manufacturerInfo:{}", topic, content, manufacturerInfo);
//
//            // 转换为 map
//            Map<String, String> stringStringMap = manufactureTorMap(manufacturerInfo, manufacturerMsgTypeEnum);
//            List<Map<String, String>> infoSet = Collections.singletonList(stringStringMap);
//
//            MessageInfoVo messageInfoVo = new MessageInfoVo(baseSecurityUser, "厂商信息变更", content, topic);
//            messageInfoVo.setInfoSet(infoSet);
//
//            List<MessageInfoVo> messages = Collections.singletonList(messageInfoVo);
//
//            RequestVo requestVo = new RequestVo();
//            requestVo.setTopic(topic);
//            requestVo.setAppKey(dcucAppKafkaConfig.getAppKey());
//            requestVo.setAppSecret(dcucAppKafkaConfig.getAppSecret());
//            requestVo.setMessages(messages);
//            log.info(Thread.currentThread().getName());
//            ResponseResult result = kafkaServer.send(requestVo, dcucAppKafkaConfig.getServer());
//            log.info("Send result: {}", JsonUtils.toJSONString(result));
//        }
//
//    }
//
//    public Map<String, String> manufactureTorMap(ManufacturerInfo manufacturerInfo, ManufacturerMsgTypeEnum manufacturerMsgTypeEnum) {
//        Map<String, String> map = new HashMap<>();
//        map.put("OPERATE_TYPE", manufacturerMsgTypeEnum.getValue());
//        map.put("ID", manufacturerInfo.getId());
//        map.put("MANUFACTURER_NAME", manufacturerInfo.getManufacturerName());
//        map.put("NAME", manufacturerInfo.getName());
//        map.put("IDCARD", manufacturerInfo.getIdcard());
//        map.put("PHONE", manufacturerInfo.getPhone());
//        map.put("CODE", manufacturerInfo.getCode());
//        map.put("ADDRESS", manufacturerInfo.getAddress());
//        map.put("DELETED", manufacturerInfo.getDeleted());
//        return map;
//    }
//}
