package com.dragoninfo.dcuc.app.facade;

import com.dragoninfo.dcuc.app.dto.ApplyInfoDTO;
import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.service.IApplyInfoService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author yica
 * @date 2018/8/7
 */
@RestController
@RequestMapping(value = "/dcuc/app/applyInfoFacade")
public class ApplyInfoFacade implements IApplyInfoFacade {
    @Autowired
    private IApplyInfoService applyInfoService;

    @Override
    public ApplyInfo applyDetail(String id) {
        return applyInfoService.getOne(id);
    }

    @Override
    public Page<ApplyInfo> applyInfoPage(@RequestBody SearchDTO searchDTO) {
        return applyInfoService.applyInfoPage(searchDTO);
    }

    @Override
    public ApplyInfo saveAppIy(ApplyInfoDTO applyInfoDTO) {
        return applyInfoService.saveAppIy(applyInfoDTO);
    }

    @Override
    public ApplyInfo updateApply(ApplyInfoDTO applyInfoDTO) {
        return applyInfoService.updateApply(applyInfoDTO);
    }

    @Override
    public void del(String id) {
        applyInfoService.del(id);
    }

    @Override
    public ApplyInfo getByApplyUrl(String applyUrl) {
        return applyInfoService.getAppByAppUrl(applyUrl);
    }


    @Override
    public ResponseStatus impExcel(String fileId) {
        return applyInfoService.impExcel(fileId);
    }

    @Override
    public List<ApplyInfo> findList(String applyStatus) {
        return applyInfoService.findList(applyStatus);
    }

    @Override
    public List<ApplyInfo> getListByCodes(List<String> appCodes) {
        return applyInfoService.getListByCodes(appCodes);
    }

    @Override
    public List<ApplyInfo> appInfoSearch(SearchDTO searchDTO) {
        return applyInfoService.appInfoSearch(searchDTO);
    }

    @Override
    public ResponseStatus updateOrgInfos(String targetOrgCode, String fullName, String code) {
        applyInfoService.updateOrgInfos(targetOrgCode, fullName, code);
        return ResponseStatus.success();
    }

    @Override
    public String getNewSort() {
        return applyInfoService.getNewSort();
    }

    @Override
    public String startOrStop(String id) {
        return applyInfoService.startOrStop(id);
    }

    @Override
    public Map<String, String> findAppNameMap() {
        return applyInfoService.findAppNameMap();
    }

    @Override
    public void sortApp(String id, String target) {
        applyInfoService.sortApp(id, target);
    }

    @Override
    public String codeConvertToId(String appCode) {
        return applyInfoService.codeConvertToId(appCode);
    }

    @Override
    public String convertIdsToNames(String projectIds) {
        return applyInfoService.convertIdsToNames(projectIds);
    }

    @Override
    public ApplyInfo getAppByCode(String appCode) {
        return applyInfoService.getAppByCode(appCode);
    }

    @Override
    public ResponseStatus isRepeat(ApplyInfo applyInfo) {
        return applyInfoService.isRepeat(applyInfo);
    }

//    @Override
//    public List<String> getAppIdsByOrgId(String orgId) {
//        return applyInfoService.getAppIdsByOrgId(orgId);
//    }

    @Override
    public List<ApplyInfo> fzxmList(String userId) {
        return applyInfoService.fzxmList(userId);
    }

    @Override
    public void saveDutyMan(String dutyProject, String userId, String mobileWork) {
        applyInfoService.saveDutyMan(dutyProject, userId, mobileWork);
    }

    @Override
    public Page<ApplyInfo> findApplyList(SearchDTO searchDTO) {
        return applyInfoService.findApplyList(searchDTO);
    }

    @Override
    public Integer countByManufacturerId(String manufacturerId) {
        return applyInfoService.countByManufacturerId(manufacturerId);
    }

    @Override
    public List<ApplyInfo> getAllList() {
        return applyInfoService.findAll();
    }

    @Override
    public List<ApplyInfo> getAppListByManufacturerId(String manufacturerId) {
        return applyInfoService.getAppListByManufacturerId(manufacturerId);
    }

    @Override
    public Map<String, String> getAllIdNameMap() {
        return applyInfoService.getAllIdNameMap();
    }

    @Override
    public ApplyInfo getOneByCodeAndName(String appCode, String appName) {
        return applyInfoService.getOneByCodeAndName(appCode, appName);
    }

    @Override
    public ApplyInfo getOneByNameAndManufacturerId(String applyName, String manufacturerId) {
        return applyInfoService.getOneByNameAndManufacturerId(applyName, manufacturerId);
    }

    @Override
    public ApplyInfo getOneByName(String applyName) {
        return applyInfoService.getOneByName(applyName);
    }

    @Override
    public List<ApplyInfo> getAppById(List<String> ids) {
        return applyInfoService.getAppById(ids);
    }

    @Override
    public List<ApplyInfo> getAppByAppNameLike(String applyName) {
        return applyInfoService.getAppByAppNameLike(applyName);
    }
}
