package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.DataClaAcceptDTO;
import com.dragoninfo.dcuc.app.dto.sub.DataClaDTO;
import com.dragoninfo.dcuc.app.entity.sub.DataCla;
import com.dragoninfo.dcuc.app.service.sub.IDataClaService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author mazq
 * @date 2021/5/25
 */
@RestController
@RequestMapping(value = "/dcuc/app/dataClaFacade")
public class DataClaFacade implements IDataClaFacade {


    @Autowired
    private IDataClaService dataClaService;

    @Override
    public ResponseStatus dataClassifyAdd(DataClaAcceptDTO dto) {
        return dataClaService.dataClassifyAdd(dto);
    }

    @Override
    public DataClaAcceptDTO detailAllLevel(String id) {
        return dataClaService.detailAllLevel(id);
    }

    @Override
    public DataClaDTO getByCodeAndPath(String code, String path) {
        DataCla dataCla = dataClaService.getByCodeAndPath(code, path);
        DataClaDTO dataClaDTO = new DataClaDTO();
        BeanUtils.copyProperties(dataCla, dataClaDTO);
        return dataClaDTO;
    }

    @Override
    public Boolean deleteAllLevel(String id) {
        return dataClaService.deleteAllLevel(id);
    }

    @Override
    public Boolean dataClassifyUpdate(DataClaAcceptDTO dto) {
        return dataClaService.dataClassifyUpdate(dto);
    }

    @Override
    public Page<DataClaAcceptDTO> pageSearch(SearchDTO searchDTO) {
        return dataClaService.pageSearch(searchDTO);
    }

    @Override
    public List<DataClaDTO> getLevelList(String upId, String level) {
        List<DataCla> levelList = dataClaService.getLevelList(upId, level);
        List<DataClaDTO> collect = levelList.stream().map(item -> {
            DataClaDTO dataClaDTO = new DataClaDTO();
            BeanUtils.copyProperties(levelList, dataClaDTO);
            return dataClaDTO;
        }).collect(Collectors.toList());
        return collect;
    }
}
