package com.dragoninfo.dcuc.app.service;

import com.dragoninfo.dcuc.app.dto.ServiceResourceDTO;
import com.dragoninfo.dcuc.app.entity.ServiceResource;
import com.dragoninfo.dcuc.app.vo.ServiceResourceVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import com.dragonsoft.duceap.core.service.IBaseService;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @author huangzqa
 * @date 2021/3/1
 **/
public interface IServiceResourceService extends IBaseService<ServiceResource, String> {

    /**
     * 根据编码获取详情
     *
     * @param serviceCode 编码
     * @return 详情
     */
    ServiceResource detailByCode(String serviceCode);


    Page<ServiceResource> resourcePages(Searchable searchable);

    /**
     * 根据codes获取ServiceResource集合
     *
     * @param list
     * @return
     */
    List<ServiceResource> getServiceByServiceCodes(List<String> list);

    /**
     * 更新
     *
     * @param dto
     * @return
     */
    boolean updateById(ServiceResourceDTO dto);
    /**
     * 服务资源列表分页查询
     * @return
     */
    Page<ServiceResourceVo> page(Searchable toSearchable);

    /**
     * 服务资源导入
     * @param fileId
     */
    ResponseStatus impExcel(String fileId);
    /**
     * 服务资源新增
     * @param serviceResourceDTO
     */
    ResponseStatus saveServiceResource(ServiceResourceDTO serviceResourceDTO);

    /**
     * 服务资源详情
     * @param id
     * @return
     */
    ServiceResourceVo detailById(String id);
    /**
     * 服务资源修改
     * @param serviceResourceVo
     */
    ResponseStatus updateServiceResource(ServiceResourceVo serviceResourceVo);
    /**
     * 服务资源删除
     * @param id
     */
    ResponseStatus deleteServiceResourceById(String id);
}
