package com.dragoninfo.dcuc.app.service.sub;

import com.dragoninfo.dcuc.app.dto.sub.DataLevelDTO;
import com.dragoninfo.dcuc.app.entity.sub.DataLevel;
import com.dragoninfo.dcuc.app.vo.DataLevelVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 主客体授权-数据分级业务接口
 * @author mazq
 * @date 2021/5/25
 */
public interface IDataLevelService {

    /**
     * 数据分级保存
     * @param dto
     * @return
     */
    ResponseStatus dataLevelAdd(DataLevelDTO dto);

    /**
     * 更新
     * @param dto
     * @return
     */
    DataLevel update(DataLevelDTO dto);

    /**
     * 保存
     * @param dto
     * @return
     */
    DataLevel save(DataLevelDTO dto);

    /**
     * 获取详情
     * @param id
     * @return
     */
    DataLevel getById(String id);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    Boolean deleteById(String id);

    /**
     * 根据code获取数据分级详情
     * @param levelCode
     * @return
     */
    DataLevelDTO detailByCode(String levelCode);

    /**
     * 分页查询列表
     * @param searchDTO
     * @return
     */
    Page<DataLevelDTO> pageSearch(SearchDTO searchDTO);

    /**
     * 数据分级同步数据保存
     * @param list
     */
    void sync(List<DataLevelVo> list);

    /**
     * 根据code获取集合
     * @param codes
     * @return
     */
    List<DataLevel> getByCodes(List<String> codes);

    /**
     * 获取所有数据
     * @return
     */
    List<DataLevel> getAll();

    /**
     * 批量获取
     * @param ids
     * @return
     */
    List<DataLevel> getByIds(List<String> ids);
}
