package com.dragoninfo.dcuc.app.util;

import com.dragonsoft.duceap.commons.util.string.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.Row;

import java.util.List;

/**
 * @author mazq
 * @date 2021/6/4
 */
public class ImportUtil {

    public static boolean checkIsEmpty(Row r, int columnNum) {
        for (int i = 0; i < columnNum; i++) {
            Cell cell = r.getCell(i);
            if(cell != null) {
                cell.setCellType(CellType.STRING);
                String value = cell.getStringCellValue();
                if(StringUtils.isNotBlank(value)) {
                    return false;
                }
            }
        }
        return true;
    }

    public static void checkTitle(Row r, List<String> excelTitle) {
        for (int i = 0; i < excelTitle.size(); i++) {
            String title = excelTitle.get(i);
            String value = r.getCell(i).getStringCellValue();
            if(StringUtils.isEmpty(value) || !title.equals(value)) {
                throw new NumberFormatException("缺少【"+ title +"】列！");
            }
        }
    }

    public static String getCellStringValue(Cell cell) {
        if(null != cell) {
            cell.setCellType(CellType.STRING);
            String value = cell.getStringCellValue();
            return value;
        }
        return null;
    }

}
