CREATE TABLE T_APP_DATA_CLA(
    ID VARCHAR(32) NOT NULL   COMMENT 'ID 主键' ,
    FIR_ID VARCHAR(32)    COMMENT 'FIR_ID 一级id' ,
    SEC_ID VARCHAR(32)    COMMENT 'SEC_ID 二级id' ,
    LAB_CLA_ID VARCHAR(32)    COMMENT 'LAB_CLA_ID 标签分类id' ,
    CODE VARCHAR(32)    COMMENT 'CODE 码值' ,
    NAME VARCHAR(100)    COMMENT 'NAME 名称' ,
    DATA_TYPE VARCHAR(100)    COMMENT 'DATA_TYPE 数据授权资源类型（第三方提供）' ,
    LEVEL VARCHAR(5)    COMMENT 'LEVEL 层级' ,
    TYPE VARCHAR(10)    COMMENT 'TYPE 分类类型 一级分类 二级分类 标签分类 标签' ,
    REMARK VARCHAR(128)    COMMENT 'REMARK 说明' ,
    DELETED VARCHAR(5)    COMMENT 'DELETED 是否删除' ,
    CREATE_TIME DATETIME    COMMENT 'CREATE_TIME 新增时间' ,
    CREATE_USER VARCHAR(32)    COMMENT 'CREATE_USER 新增人员账号' ,
    UPDATE_TIME DATETIME    COMMENT 'UPDATE_TIME 修改时间' ,
    UPDATE_USER VARCHAR(32)    COMMENT 'UPDATE_USER 更新人账号' ,
    DELETE_TIME DATETIME    COMMENT 'DELETE_TIME 删除时间' ,
    DELETE_USER VARCHAR(32)    COMMENT 'DELETE_USER 删除人账号' ,
    PRIMARY KEY (ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT = '数据资源分类表 ';


ALTER TABLE T_APP_DATA_CLA ADD INDEX IDX_T_APP_DATA_CLA_FIR(FIR_ID);
ALTER TABLE T_APP_DATA_CLA ADD INDEX IDX_T_APP_DATA_CLA_SEC(SEC_ID);
ALTER TABLE T_APP_DATA_CLA ADD INDEX IDX_T_APP_DATA_CLA_LAB_CLA_ID(LAB_CLA_ID);
ALTER TABLE T_APP_DATA_CLA ADD INDEX IDX_T_APP_DATA_CODE(CODE);


CREATE TABLE T_APP_DATA_LEVEL(
    ID VARCHAR(32) NOT NULL   COMMENT 'ID 主键' ,
    LEVEL_CODE VARCHAR(32)    COMMENT 'LEVEL_CODE 码值' ,
    LEVEL_NAME VARCHAR(100)    COMMENT 'LEVEL_NAME 名称' ,
    DATA_TYPE VARCHAR(100)    COMMENT 'DATA_TYPE 数据授权资源类型（第三方提供）' ,
    REMARK VARCHAR(128)    COMMENT 'REMARK 说明' ,
    DELETED VARCHAR(5)    COMMENT 'DELETED 是否删除' ,
    CREATE_TIME DATETIME    COMMENT 'CREATE_TIME 新增时间' ,
    CREATE_USER VARCHAR(32)    COMMENT 'CREATE_USER 新增人员账号' ,
    UPDATE_TIME DATETIME    COMMENT 'UPDATE_TIME 修改时间' ,
    UPDATE_USER VARCHAR(32)    COMMENT 'UPDATE_USER 更新人账号' ,
    DELETE_TIME DATETIME    COMMENT 'DELETE_TIME 删除时间' ,
    DELETE_USER VARCHAR(32)    COMMENT 'DELETE_USER 删除人账号' ,
    PRIMARY KEY (ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT = '数据分级表 ';

ALTER TABLE T_APP_DATA_LEVEL ADD INDEX IDX_T_APP_DATA_LEVEL_LEVEL_CODE(LEVEL_CODE);


CREATE TABLE T_APP_DATA_SEC(
    ID VARCHAR(32) NOT NULL   COMMENT 'ID 主键' ,
    SEC_CODE VARCHAR(32)    COMMENT 'SEC_CODE 码值' ,
    SEC_NAME VARCHAR(100)    COMMENT 'SEC_NAME 名称' ,
    DATA_TYPE VARCHAR(100)    COMMENT 'DATA_TYPE 数据授权资源类型（第三方提供）' ,
    REMARK VARCHAR(128)    COMMENT 'REMARK 说明' ,
    DELETED VARCHAR(5)    COMMENT 'DELETED 是否删除' ,
    CREATE_TIME DATETIME    COMMENT 'CREATE_TIME 新增时间' ,
    CREATE_USER VARCHAR(32)    COMMENT 'CREATE_USER 新增人员账号' ,
    UPDATE_TIME DATETIME    COMMENT 'UPDATE_TIME 修改时间' ,
    UPDATE_USER VARCHAR(32)    COMMENT 'UPDATE_USER 更新人账号' ,
    DELETE_TIME DATETIME    COMMENT 'DELETE_TIME 删除时间' ,
    DELETE_USER VARCHAR(32)    COMMENT 'DELETE_USER 删除人账号' ,
    PRIMARY KEY (ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT = '数据安全等级表 ';

ALTER TABLE T_APP_DATA_SEC ADD INDEX IDX_T_APP_DATA_LEVEL_SEC_CODE(SEC_CODE);


CREATE TABLE T_APP_FIELD_CLA(
    ID VARCHAR(32) NOT NULL   COMMENT 'ID 主键' ,
    FIR_ID VARCHAR(32)    COMMENT 'FIR_ID 一级id' ,
    CODE VARCHAR(32)    COMMENT 'CODE 码值' ,
    NAME VARCHAR(100)    COMMENT 'NAME 名称' ,
    DATA_TYPE VARCHAR(100)    COMMENT 'DATA_TYPE 数据授权资源类型（第三方提供）' ,
    LEVEL VARCHAR(10)    COMMENT 'LEVEL 层级' ,
    TYPE VARCHAR(10)    COMMENT 'TYPE 分类类型 一级分类 二级分类' ,
    REMARK VARCHAR(128)    COMMENT 'REMARK 说明' ,
    DELETED VARCHAR(5)    COMMENT 'DELETED 是否删除' ,
    CREATE_TIME DATETIME    COMMENT 'CREATE_TIME 新增时间' ,
    CREATE_USER VARCHAR(32)    COMMENT 'CREATE_USER 新增人员账号' ,
    UPDATE_TIME DATETIME    COMMENT 'UPDATE_TIME 修改时间' ,
    UPDATE_USER VARCHAR(32)    COMMENT 'UPDATE_USER 更新人账号' ,
    DELETE_TIME DATETIME    COMMENT 'DELETE_TIME 删除时间' ,
    DELETE_USER VARCHAR(32)    COMMENT 'DELETE_USER 删除人账号' ,
    PRIMARY KEY (ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT = '字段分类分类表 ';

ALTER TABLE T_APP_FIELD_CLA ADD INDEX IDX_T_APP_FIELD_CLA_FIR(FIR_ID);
ALTER TABLE T_APP_FIELD_CLA ADD INDEX IDX_T_APP_FIELD_CLA_CODE(CODE);
ALTER TABLE T_APPLY_INFO CHANGE `manager_org_code` `org_code`  varchar(100) NULL COMMENT '事权机构代码';
ALTER TABLE `t_apply_info` ADD COLUMN `manager_org_code`  varchar(100) NULL COMMENT '管理单位代码';
ALTER TABLE `t_apply_info` MODIFY `manager_describe` varchar(800) DEFAULT NULL COMMENT '应用描述';