package com.dragoninfo.dcuc.app.mapper;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragoninfo.dcuc.app.DcucAppApplication;
import com.dragoninfo.dcuc.app.dto.sub.DataLevelDTO;
import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.entity.sub.DataLevel;
import com.dragoninfo.dcuc.app.mapper.sub.DataLevelMapper;
import com.dragoninfo.dcuc.app.service.sub.IDataLevelService;
import com.dragonsoft.duceap.base.enums.BooleanEnum;
import com.dragonsoft.duceap.commons.util.UUIDUtils;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Rollback;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author huangzqa
 * @date 2020/10/28
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {DcucAppApplication.class})
@Transactional
@Rollback()
public class ApplyInfoMapperTest {

    @Autowired
    private ApplyInfoMapper applyInfoMapper;

    @Autowired
    private IDataLevelService dataLevelService;

    @Test
    public void getNewSort() {
        String newSort = applyInfoMapper.getNewSort();

        boolean notBlank = StrUtil.isNotBlank(newSort);

        Assert.assertTrue(notBlank);
    }

    @Test
    public void dataLevel() {
        DataLevel dataLevel = dataLevelService.getById("fabd5a433bd67d1b36373d11edd20a09");
        dataLevel.setRemark("xiugai111");
        DataLevelDTO dto = new DataLevelDTO();
        BeanUtils.copyProperties(dataLevel, dto);
        dto.setLevelName("XG1111");
        dataLevelService.update(dto);

    }



}